GWT 2.7.0

## com.google.gwt.user.tools.util
Class ArgHandlerOverwrite

    java.lang.Object
      com.google.gwt.util.tools.ArgHandler
          com.google.gwt.util.tools.ArgHandlerFlag
              com.google.gwt.user.tools.util.ArgHandlerOverwrite

    public abstract class ArgHandlerOverwrite

extends ArgHandlerFlag

Overwrites any existing files.

Constructor Summary
`ArgHandlerOverwrite()`

Method Summary
`java.lang.String` | `getLabel()` The root String that will be munged into -label and -nolabel variants for flag value toggling.
`java.lang.String` | `getPurposeSnippet()` Returns a description that will be mixed together with default value to come up with the overall flag purpose.

Methods inherited from class com.google.gwt.util.tools.ArgHandlerFlag
`addTagValue, getDefaultValue, getHelpTag, getPurpose, getTag, getTagArgs, getTags, handle, isRequired, setFlag`

Methods inherited from class com.google.gwt.util.tools.ArgHandler
`getDefaultArgs, isExperimental, isUndocumented`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgHandlerOverwrite

    public ArgHandlerOverwrite()

Method Detail

### getPurposeSnippet

    public java.lang.String getPurposeSnippet()

  Description copied from class: `ArgHandlerFlag`
  Returns a description that will be mixed together with default value to come up with the overall flag purpose.

  Specified by:
    `getPurposeSnippet` in class `ArgHandlerFlag`

### getLabel

    public java.lang.String getLabel()

  Description copied from class: `ArgHandlerFlag`
  The root String that will be munged into -label and -nolabel variants for flag value toggling. Should follow the verb[Adjective]Noun naming pattern. For example:

  Overrides:
    `getLabel` in class `ArgHandlerFlag`

GWT 2.7.0